summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorLinus Färnstrand <linus@mullvad.net>2020-09-08 15:11:03 +0200
committerLinus Färnstrand <linus@mullvad.net>2020-09-08 15:11:03 +0200
commitfefd87f82d5d0cae01a6e21d6ce1d309e1ac4973 (patch)
treee7eee18a6a15220d020bc40158ea2d3877f89eed
parent5c989dc8032ba1be83678ae4fb61fa8e0b2eb501 (diff)
parent4b5c7aba3970b1d673013458bdf0ffdd34c78a5c (diff)
downloadmullvadvpn-fefd87f82d5d0cae01a6e21d6ce1d309e1ac4973.tar.xz
mullvadvpn-fefd87f82d5d0cae01a6e21d6ce1d309e1ac4973.zip
Merge branch 'fallback-for-non-existing-release-tag'
-rwxr-xr-xbuild-apk.sh2
-rwxr-xr-xbuild.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/build-apk.sh b/build-apk.sh
index 5cb63d6c13..764f3a8de2 100755
--- a/build-apk.sh
+++ b/build-apk.sh
@@ -47,7 +47,7 @@ if [[ "$GRADLE_BUILD_TYPE" == "release" ]]; then
fi
fi
-product_version_commit_hash=$(git rev-parse android/$PRODUCT_VERSION^{commit})
+product_version_commit_hash=$(git rev-parse android/$PRODUCT_VERSION^{commit} || echo "")
current_head_commit_hash=$(git rev-parse HEAD^{commit})
if [[ "$BUILD_TYPE" == "debug" || $product_version_commit_hash != $current_head_commit_hash ]]; then
PRODUCT_VERSION="${PRODUCT_VERSION}-dev-${current_head_commit_hash:0:6}"
diff --git a/build.sh b/build.sh
index 51ee713581..d2fc90c492 100755
--- a/build.sh
+++ b/build.sh
@@ -62,7 +62,7 @@ else
export CSC_IDENTITY_AUTO_DISCOVERY=false
fi
-product_version_commit_hash=$(git rev-parse $PRODUCT_VERSION^{commit})
+product_version_commit_hash=$(git rev-parse $PRODUCT_VERSION^{commit} || echo "")
current_head_commit_hash=$(git rev-parse HEAD^{commit})
if [[ "$BUILD_MODE" == "dev" || $product_version_commit_hash != $current_head_commit_hash ]]; then
PRODUCT_VERSION="$PRODUCT_VERSION-dev-${current_head_commit_hash:0:6}"